#include <iostream>

using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	long long v = 0;
	cin >> v;
	
	int sum = 0;
	while(v > 0)
	{
		int num = v%10;
		v/=10;
		sum+=(num/5);
		num%=5;
		sum+=(num/2);
		sum+=(num%2);
	}
	
	cout << sum <<endl;
}